View Issue Details

IDProjectCategoryView StatusLast Update
0000280Siril[All Projects] Sirilpublic2018-11-12 15:04
ReporterroberthassonAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformOSwindowsOS Version10
Product Version0.9.9 
Target Version0.9.10Fixed in Version 
Summary0000280: ghost windows
Descriptionvarious windows that have been open and closed still appear as ghosts when alt-tabbing between different programs.
TagsNo tags attached.

Activities

lock42

2018-10-10 12:51

administrator   ~0000604

I guess that occurs on Windows system, so it is probably related to GTK

lock42

2018-10-10 13:08

administrator   ~0000605

Again, I can't reproduce this bug

vinvin

2018-11-12 02:12

administrator   ~0000611

Could you talk us through a way to reproduce this? What window becomes a ghost for example? Thank you

roberthasson

2018-11-12 08:47

reporter   ~0000612

to reproduce:
pre req: Windows 10. Siril 0.9X

launch Siril.
Open an image (Tiff for example)
start image processing functions like color calibration (apply and close)
then go to any other open program.
now if you "hover over the siril windows" in the taskbar you will see that the Color calibration is still there as a "Ghost" over the RGB window eventhough you closed it earlier. However it is not accessible via the RGB window. You have to reopen it (which is normal since it was closed).

attached is a screenshot showing the "Ghost"color calibration window.

2018-11-12.png (1,305,512 bytes)

lock42

2018-11-12 15:04

administrator   ~0000613

OK, I did it. However, if it is a GTK issue we can't do anything about it

Issue History

Date Modified Username Field Change
2018-10-10 12:46 roberthasson New Issue
2018-10-10 12:51 lock42 Note Added: 0000604
2018-10-10 13:08 lock42 Note Added: 0000605
2018-11-06 23:08 vinvin Target Version => 0.9.10
2018-11-12 02:12 vinvin Status new => feedback
2018-11-12 02:12 vinvin Note Added: 0000611
2018-11-12 08:47 roberthasson File Added: 2018-11-12.png
2018-11-12 08:47 roberthasson Note Added: 0000612
2018-11-12 08:47 roberthasson Status feedback => new
2018-11-12 15:04 lock42 Note Added: 0000613